org.apache.felix.http.whiteboard

## Class HttpWhiteboardConstants

- java.lang.Object
- - org.apache.felix.http.whiteboard.HttpWhiteboardConstants

Deprecated.
Use the OSGi Http Whiteboard Service instead

    @Deprecated
    public class HttpWhiteboardConstants
    extends Object

The `HttpWhiteboardConstants` defines constants for values used by the Http Whiteboard registration support.

Since:
  Http Whiteboard Bundle 2.3.0

### Field Summary

Fields
`static String` `ALIAS` Deprecated. The service registration property indicating the registration alias for a `Servlet` service.
`static String` `CONTEXT_ID` Deprecated. The service registration property indicating the name of a `HttpContext` service.
`static String` `CONTEXT_SHARED` Deprecated. The service registration property indicating whether a `HttpContext` service registered with the `CONTEXT_ID` service registration property is shared across bundles or not.
`static String` `INIT_PREFIX` Deprecated. Prefix for service registration properties being used as init parameters for the `Servlet` and `Filter` initialization.
`static String` `PATTERN` Deprecated. The service registration property indicating the URL patter for a `Filter` service.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CONTEXT_ID

    public static final String CONTEXT_ID

Deprecated.
The service registration property indicating the name of a `HttpContext` service.

If the property is set to a non-empty string for an `HttpContext` service it indicates the name by which it may be referred to by `Servlet` and `Filter` services. This is also a required registration property for `HttpService` services to be accepted by the Http Whiteboard registration.

If the property is set for a `Servlet` or `Filter` services it indicates the name of a registered `HttpContext` which is to be used for the registration with the Http Service. If the property is not set for a `Servlet` or `Filter` services or its value is the empty string, a default HttpContext is used which does no security handling and has no MIME type support and which returns resources from the servlet's or the filter's bundle.

The value of this service registration property is a single string.

See Also:
  Constant Field Values

#### CONTEXT_SHARED

    public static final String CONTEXT_SHARED

Deprecated.
The service registration property indicating whether a `HttpContext` service registered with the `CONTEXT_ID` service registration property is shared across bundles or not. By default `HttpContext` services are only available to `Servlet` and `Filter` services registered by the same bundle.

If this property is set to `true` for `HttpContext` service, it may be referred to by `Servlet` or `Filter` services from different bundles.

Recommendation: Shared `HttpContext` services should either not implement the `getResource` at all or be registered as service factories to ensure no access to foreign bundle resources is not allowed through this backdoor.

The value of this service registration is a single boolean or string. Only if the boolean value is `true` (either by `Boolean.booleanValue()` or by `Boolean.valueOf(String)`) will the `HttpContext` be shared.

See Also:
  Constant Field Values

#### ALIAS

    public static final String ALIAS

Deprecated.
The service registration property indicating the registration alias for a `Servlet` service. This value is used as the alias parameter for the `HttpService.registerServlet` call.

A `Servlet` service registered with this service property may also provide a `CONTEXT_ID` property which referrs to a `HttpContext` service. If such a service is not registered (yet), the servlet will not be registered with the Http Service. Once the `HttpContext` service becomes available, the servlet is registered.

The value of this service registration property is a single string starting with a slash.

See Also:
  Constant Field Values

#### PATTERN

    public static final String PATTERN

Deprecated.
The service registration property indicating the URL patter for a `Filter` service. This value is used as the pattern parameter for the `ExtHttpService.registerFilter` call.

A `Filter` service registered with this service property may also provide a `CONTEXT_ID` property which referrs to a `HttpContext` service. If such a service is not registered (yet), the filter will not be registered with the Http Service. Once the `HttpContext` service becomes available, the filter is registered.

The value of this service registration property is a single string being a regular expression.

Note: `Filter` services are only supported if the Http Service implements the `org.apache.felix.http.api.ExtHttpService` interface.

See Also:
  Constant Field Values

#### INIT_PREFIX

    public static final String INIT_PREFIX

Deprecated.
Prefix for service registration properties being used as init parameters for the `Servlet` and `Filter` initialization.

See Also:
  Constant Field Values